(function() {
/**
 * Event related module.
 *
 * @module dixim
 * @submodule event
 */
dixim.namespace('dixim.event');

/**
 * Event class represents the event data.
 *
 * @class Event
 * @constructor
 * @param {String} type an event type.
 * @param {Object} [args] event specific data.
 * @param {Object} [userData] extra data.
 */
dixim.event.Event = function(type, args, userData) {
  this.type = type;
  this.args = arguments[1];
  this.userData = arguments[2];
};

}());
